package com.diagbot.repository;


import com.diagbot.dto.OperationInfoDTO;
import com.diagbot.entity.node.Operation;

import java.util.ArrayList;
import java.util.List;

public class OperationNode {

    /**
     * 获取药品商品名称列表
     */
    public List<OperationInfoDTO> getOperationList(String name, OperationRepository operationRepository) {
        String nodename;

        List<OperationInfoDTO> opslist = new ArrayList<>();
        OperationInfoDTO opInfoDTO;

        List<Operation> operations = operationRepository.findByNameLike("*"+name+"*");

        for (Operation op : operations) {
            opInfoDTO = new OperationInfoDTO();
            nodename = op.getName();

            opInfoDTO.setName(nodename);
            opslist.add(opInfoDTO);
        }


        return opslist;
    }

}
